all: clean libscc1.a

clean:
  rm -f libscc1.a

libscc1.a: \
    abort.o \
    abs.o \
    atexit.o \
    atoi.o \
    bsearch.o \
    calloc.o \
    clearerr.o \
    ctime.o \
    ctype.o \
    difftime.o \
    exit.o \
    fclose.o \
    fdopen.o \
    feof.o \
    ferror.o \
    fflush.o \
    fgetc.o \
    fgetpos.o \
    fgets.o \
    fileno.o \
    fopen.o \
    fprintf.o \
    fputc.o \
    fputs.o \
    fread.o \
    free.o \
    freopen.o \
    fscanf.o \
    fseek.o \
    fsetpos.o \
    ftell.o \
    fwrite.o \
    getchar.o \
    getenv.o \
    init.o \
    kprintf.o \
    malloc.o \
    memchr.o \
    memcmp.o \
    memcpy.o \
    memmove.o \
    memset.o \
    perror.o \
    printf.o \
    putchar.o \
    puts.o \
    qsort.o \
    rand.o \
    realloc.o \
    remove.o \
    rename.o \
    rewind.o \
    scanf.o \
    setbuf.o \
    setvbuf.o \
    sprintf.o \
    sscanf.o \
    strcat.o \
    strchr.o \
    strcmp.o \
    strcpy.o \
    strcspn.o \
    strdup.o \
    strerror.o \
    strlen.o \
    strncat.o \
    strncmp.o \
    strncpy.o \
    strpbrk.o \
    strrchr.o \
    strspn.o \
    strtok.o \
    strtol.o \
    system.o \
    time.o \
    tmpfile.o \
    tmpnam.o \
    ungetc.o \
    vformat.o \
    vfprintf.o \
    vprintf.o \
    vscan.o \
    vsprintf.o
  pdar386 vs libscc1.a
  as86 -o crt1.o crt0.s

.c.o:
  sccdos -S $*.c
  as86 -o $*.o $*.s
  rm -f $*.s
  pdar386 vcq libscc1.a $*.o
